Loading...
Searching...
No Matches
LSQTraits.h File Reference
`#include <casacore/casa/aips.h>`
`#include <complex>`

Go to the source code of this file.

## Classes

class | casacore::LSQReal
| More...
class | casacore::LSQComplex
| Type of complex numeric class indicator. More...
class | casacore::LSQNull
| Non relevant class indicator. More...
class | casacore::LSQType< T >
| Determine if pointer type. More...
struct | casacore::LSQType< T >::PointerTraits< U >
struct | casacore::LSQType< T >::PointerTraits< U * >
class | casacore::LSQTraits< T >
| Traits for numeric classes used. More...
class | casacore::LSQTraits_F< Float >
| LSQTraits specialization for Float. More...
class | casacore::LSQTraits_D< Double >
| LSQTraits specialization for Double. More...
class | casacore::LSQTraits_CD< std::complex< Double > >
| LSQTraits specialization for DComplex. More...
class | casacore::LSQTraits_CF< std::complex< Float > >
| LSQTraits specialization for Complex. More...

## Namespaces

namespace | casacore
| this file contains all the compiler specific defines

## Macros

#define | LSQTraits_F
#define | LSQTraits_D
#define | LSQTraits_CD
#define | LSQTraits_CF

## Macro Definition Documentation

## LSQTraits_CD

#define LSQTraits_CD

Definition at line 137 of file LSQTraits.h.

## LSQTraits_CF

#define LSQTraits_CF

Definition at line 151 of file LSQTraits.h.

## LSQTraits_D

#define LSQTraits_D

Definition at line 123 of file LSQTraits.h.

## LSQTraits_F

#define LSQTraits_F

Definition at line 109 of file LSQTraits.h.